%define name	mono
%define version 3.2.3
%define subrel 2
%define release %mkrel 5

%define major 0
%define major1 1
%define libname %mklibname %{name} %{major}
%define libnamellvm %mklibname %{name}llvm %{major}
%define libname1 %mklibname %{name} 2.0 %{major1}
%define libnamedev %mklibname -d %{name}

%define bootstrap 0
%{?_with_bootstrap: %{expand: %%global bootstrap 1}}
%define monodir %_prefix/lib/mono

%define llvm no
%define sgen yes
%define sgenmajor 1

%ifnarch %ix86 x86_64
%define llvm no
%ifnarch %arm
%define sgen no
%endif
%endif

%define oprofile_support 1

Summary:	Mono Runtime
Name:		%name
Version:	%version
Release:	%release
License:	GPLv2 and LGPLv2+ and MIT
Group:		Development/C#
Source0:	http://download.mono-project.com/sources/%name/%name-%version.tar.bz2
# This key was generated by Götz Waschk <waschk@mandriva.org> on Oct 14, 2010
# by running the following command:
# sn -k mono.snk
# You should not regenerate this unless you have a really, really, really good reason.
Source1: mono.snk
#gw add some major numbers to the dll map to not depend on -devel packages
Patch0:		mono-dllmap.patch
# (fc) 1.2.3.1-4mdv disable using /proc/self/exe to detect root prefix, it breaks under unionfs
Patch1:		mono-2.6-selfexe.patch
Patch4:		mono-wapi_glop.patch
Patch5:		mono-2.10.2-threads-access.patch
Patch6:		mono-2.10.5-fix-build.patch
Patch7:		mono-armv6-check.patch
Patch8:		fix-bansheee-crash.patch
Patch9:		fix-bansheee-crash2.patch
Patch10:	patch1-3.2.8.patch
Patch11:	patch3-2.6.7.patch
Patch12:	mono-3.2.3-drop_sslv2_fallback.patch
URL:		http://www.go-mono.com/
BuildRequires:	bison autoconf
BuildRequires:	zlib-devel
%if %{oprofile_support}
BuildRequires:  oprofile-devel
%endif
%if %llvm == yes
#gw mono 2.8 does not build with our llvm 2.7
BuildRequires: llvm > 2.7
Recommends: %libnamellvm = %version-%release
%endif
Requires:	%libname1 = %version
Requires:	%libname = %version
# gw requires by System.Drawing
Requires: 	libgdiplus
# Since mono 0.91 (mdk 10.0) we can rely on included config
Obsoletes:	mono-config
Provides:	mono-config
Provides:	libmono-runtime
Obsoletes:      libmono-runtime
# gw this is for some binary-only packages, the versions are retargetted
# by the mono runtime
Provides:        mono(mscorlib) = 1.0.3300.0 
Provides:        mono(System) = 1.0.3300.0 
Provides:        mono(System.Drawing) = 1.0.3300.0 
Provides:        mono(System.Xml) = 1.0.3300.0 
Provides:       mono(Commons.Xml.Relaxng) = 1.0.5000.0
Provides:       mono(CustomMarshalers) = 1.0.5000.0
Provides:       mono(I18N) = 1.0.5000.0
Provides:       mono(I18N.West) = 1.0.5000.0
Provides:       mono(ICSharpCode.SharpZipLib) = 0.6.0.0
Provides:       mono(ICSharpCode.SharpZipLib) = 0.84.0.0
Provides:       mono(Mono.Cairo) = 1.0.5000.0
Provides:       mono(Mono.CompilerServices.SymbolWriter) = 1.0.5000.0
Provides:       mono(Mono.Posix) = 1.0.5000.0
Provides:       mono(Mono.Security) = 1.0.5000.0
Provides:       mono(OpenSystem.C) = 1.0.5000.0
Provides:       mono(System) = 1.0.5000.0
Provides:       mono(System.Security) = 1.0.5000.0
Provides:       mono(System.Xml) = 1.0.5000.0
Provides:       mono(mscorlib) = 1.0.5000.0
%if ! %bootstrap
#gw needed for mono-find-requires which needs monodis and libmono.so
BuildRequires: mono-devel
%endif

%description
Mono is an implementation of the ECMA Common Language Infrastructure,
it contains both a just-in-time compiler for maximum performance, and
an interpeter.  It can also be used to run programs from the .NET
Framework.

This package contains the core of the Mono runtime including its
Virtual Machine, Just-in-time compiler, C# compiler, security tools
and libraries (corlib, XML, System.Security, System.Drawing, ZipLib,
I18N, Cairo and Mono.*).

%package doc
Summary:	Documentation for the Mono runtime
Group:		Development/C#
Requires:	mono
BuildArch:	noarch

%description doc
Mono is an implementation of the ECMA Common Language Infrastructure,
it contains both a just-in-time compiler for maximum performance, and
an interpeter.  It can also be used to run programs from the .NET
Framework.
This package provides documentation for the Mono runtime.

%package -n %libname
Summary:	Libraries for the Mono runtime
Group:		System/Libraries

%description -n %libname
Mono is an implementation of the ECMA Common Language Infrastructure,
it contains both a just-in-time compiler for maximum performance, and
an interpeter.  It can also be used to run programs from the .NET
Framework.
This package provides the versioned libraries for the Mono runtime.

%package -n %libname1
Summary:	Libraries for the Mono runtime
Group:		System/Libraries
Conflicts:	%{_lib}mono0 < 3.2.0-2

%description -n %libname1
Mono is an implementation of the ECMA Common Language Infrastructure,
it contains both a just-in-time compiler for maximum performance, and
an interpeter.  It can also be used to run programs from the .NET
Framework.
This package provides the versioned libraries for the Mono runtime.

%if %llvm == yes
%package -n %libnamellvm
License:        LGPLv2
Summary:	Loadable LLVM libary for mono
Group:          System/Libraries

%description -n %libnamellvm
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Loadable LLVM libary for mono.
%endif

%package data-sqlite
Summary:	SQLite database connectivity for mono
Group:		Development/C#
Requires:	%mklibname sqlite 0
Requires:	%mklibname sqlite3_ 0

%description data-sqlite
Mono is an implementation of the ECMA Common Language Infrastructure,
it contains both a just-in-time compiler for maximum performance, and
an interpeter.  It can also be used to run programs from the .NET
Framework.
This package provides the connectivity to the sqlite database for Mono.

%package -n %libnamedev
Summary:	Tools required to embed the Mono runtime
Group:		Development/C#
Requires:	%libname = %version
Requires:	%libname1 = %version
%if %llvm == yes
Requires:       %libnamellvm = %version-%release
%endif
Requires:	mono = %version
Requires:       mono-data = %version
Requires:       mono-data-sqlite = %version
Requires: 	mono-data-oracle = %version
Requires: 	mono-data-postgresql = %version
Requires: 	mono-extras = %version
Requires: 	mono-web = %version
Requires: 	mono-ibm-data-db2 = %version
Requires: 	mono-locale-extras = %version
Requires: 	mono-winforms = %version
Requires: 	mono-nunit = %version
Requires: 	monodoc-core = %version
Requires:	mono-wcf = %version
Requires:	mono-winfxcore = %version
Conflicts: 	mono-nunit < %version-%release
Conflicts:	mono < 2.10.8-2
Provides:	mono-devel = %version-%release
Provides:	libmono-devel = %version-%release
Obsoletes:  %mklibname -d %{name} 0
Conflicts: update-alternatives < 1.9.0
Provides:       mono(PEAPI) = 1.0.5000.0
Provides:       mono(resgen) = 1.0.5000.0
Provides: mono-bytefx-data-mysql mono-data-firebird mono-data-sybase mono-jscript
Obsoletes: mono-bytefx-data-mysql mono-data-firebird mono-data-sybase mono-jscript

%description -n %libnamedev
Header files and libraries used to embed the Mono runtime in an application.

%package winfxcore
Summary: Mono implementation of core WinFX APIs
Group: Development/C#
Requires: mono = %version

%description winfxcore
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Mono implementation of core WinFX APIs

	
%package web
Summary: ASP.NET, Remoting, and Web Services for Mono
Group:	 	  Development/C#
Requires: mono = %version
Provides:        mono(System.Web) = 1.0.3300.0
Provides:       mono(Mono.Http) = 1.0.5000.0
Provides:       mono(System.Runtime.Remoting) = 1.0.5000.0
Provides:       mono(System.Runtime.Serialization.Formatters.Soap) = 1.0.5000.0
Provides:       mono(System.Web) = 1.0.5000.0
Provides:       mono(System.Web.Services) = 1.0.5000.0
Provides:       mono(System.WebPages) = 2.1.0.0

%description web
This package provides the ASP.NET libraries and runtime for
development of web application, web services and remoting support.

%package data-oracle
Summary: Oracle database connectivity for Mono
Group:	 	Development/C#
Requires:	mono = %version
Provides:       mono(System.Data.OracleClient) = 1.0.5000.0
Provides:       mono(System.Web.WebPages.Deployment) = 2.1.0.0

%description data-oracle
This package contains the ADO.NET Data provider for the Oracle
database.

%package data
Summary: Database connectivity for Mono
Group:	 	  Development/C#
Requires:	  mono = %version
Provides:       mono(System.Data) = 1.0.3300.0 
Provides:       mono(Mono.Data.Tds) = 1.0.5000.0
Provides:       mono(Novell.Directory.Ldap) = 1.0.5000.0
Provides:       mono(System.Data) = 1.0.5000.0
Provides:       mono(System.DirectoryServices) = 1.0.5000.0
Provides:       mono(System.EnterpriseServices) = 1.0.5000.0
Provides:       mono(System.Data.Entity) = 4.0.0.0

%description data
This package provides a Mono assembly to facilitate data access and
manipulation with databases, LDAP compatible directory servers and/or
XML data exchange. Beyond the ADO.NET, Novell.LDAP and
System.DirectoryServices assemblies, it also includes a command line
sql application as well as the Microsoft SQL Server and ODBC data
providers.

%package extras
Summary: Infrastructure for running and building daemons and services
Group:	 	  Development/C#
Requires:	  mono = %version
Provides:       mono(Mono.Messaging) = 1.0.5000.0
Provides:       mono(Mono.Messaging.RabbitMQ) = 1.0.5000.0
Provides:       mono(RabbitMQ.Client) = 1.0.5000.0
Provides:       mono(System.Configuration.Install) = 1.0.5000.0
Provides:       mono(System.Management) = 1.0.5000.0
Provides:       mono(System.Messaging) = 1.0.5000.0
Provides:       mono(System.ServiceProcess) = 1.0.5000.0
Provides:       mono(mono-service) = 1.0.5000.0

%description extras
This package provides the libary and application to run services and
daemons with Mono. It also includes stubs for the following .NET 1.1
and 2.0 assemblies: Microsoft.Vsa, System.Configuration.Install,
System.Management, System.Messaging.

%package ibm-data-db2
Summary: IBM DB2 database connectivity for Mono 
Group:	     Development/C#
Requires:    mono = %version

%description ibm-data-db2
This package contains the ADO.NET Data provider for the IBM DB2
Universal database.

%package winforms
Summary: Windows Forms implementation for Mono
Group:	 	 Development/C#
Requires:	 mono = %version
#gw not available on Cooker
#Requires: gluezilla >= 2.0
Provides:        mono(System.Windows.Forms) = 1.0.3300.0 
Provides:       mono(Accessibility) = 1.0.5000.0
Provides:       mono(System.Design) = 1.0.5000.0
Provides:       mono(System.Drawing) = 1.0.5000.0
Provides:       mono(System.Drawing.Design) = 1.0.5000.0
Provides:       mono(System.Windows.Forms) = 1.0.5000.0

%description winforms
This package provides a fully managed implementation of
System.Windows.Forms, the default graphical toolkit for .NET
applications.

%package locale-extras
Summary: Extra locale information for Mono
Group:	       Development/C#
Requires:      mono = %version
Provides:       mono(I18N.CJK) = 1.0.5000.0
Provides:       mono(I18N.MidEast) = 1.0.5000.0
Provides:       mono(I18N.Other) = 1.0.5000.0
Provides:       mono(I18N.Rare) = 1.0.5000.0

%description locale-extras
This package contains assemblies to support I18N applications for
non-latin alphabets.

%package data-postgresql
Summary: Postgresql database connectivity for Mono
Group:	 	    Development/C#
Requires:	    mono = %version
Provides:       mono(Npgsql) = 1.0.5000.0

%description data-postgresql
This package contains the ADO.NET Data provider for the Postgresql
database.


%package nunit
Summary:	NUnit Testing Framework
Group:	Development/C#
Requires: %name = %version
Conflicts: %libname-devel < %version-%release
# for biarch:
Conflicts: lib%{name}%{major}-devel < %version-%release

%description nunit
NUnit is a unit-testing framework for all .Net languages.  Initially
ported from JUnit, the current release, version 2.2, is the fourth
major release of this xUnit based unit testing tool for Microsoft
.NET. It is written entirely in C# and has been completely redesigned
to take advantage of many .NET language features, for example custom
attributes and other reflection related capabilities. NUnit brings
xUnit to all .NET languages.

%package -n monodoc-core
Summary:        Monodoc-Documentation tools for C# code
Group:          Development/C#
Provides:       monodoc
Obsoletes:      monodoc

%description -n monodoc-core
Monodoc-core contains documentation tools for C#.

%package rx-core
License:        MIT and Apache License 2.0
Summary:        Reactive Extensions for Mono core libraries
Group:          Development/C#
Requires:	mono = %version
Provides:	mono(System.Reactive.Linq) = 2.1.30214.0
Provides:       mono(System.Reactive.Interfaces) = 2.1.30214.0

%description rx-core
A library to compose asynchronous and event-based programs using 
observable collections and LINQ-style query operators.
Reactive Extensions for Mono, core packages, which don't depend on
desktop-specific features.

%package rx-desktop
License:        MIT and Apache License 2.0
Summary:        Reactive Extensions for Mono desktop-specific libraries
Group:          Development/C#
Requires:	mono = %version
Requires:	mono-rx-core = %version-%release

%description rx-desktop
A library to compose asynchronous and event-based programs using 
observable collections and LINQ-style query operators.
Reactive Extensions for Mono, desktop-specific packages (winforms,
windows threading).

%package wcf
Summary:        Mono implementation of WCF, Windows Communication Foundation
Group:          Development/C#
Requires:	%name = %version

%description wcf
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Mono implementation of WCF, Windows Communication Foundation

%prep
%setup -q
%patch0 -p1 -b .dllmap
%patch1 -p1 -b .selfexe
%patch4 -p1 -b .glop
#%patch5 -p1 -b .cve_2011_0992
#%patch6 -p0 -b .build
#patch7 -p1 -b .armv6
%patch8 -p1 -b .gcsegfault
%patch10 -p1 -b .tlsimpersonationfix
%patch11 -p1 -b .cyphersuitefactory
%patch12 -p1 -b .dropsslv2fallback
autoconf

%build
#gw else the syslog() call will not build
#https://bugzilla.novell.com/show_bug.cgi?id=590967#c16
%define Werror_cflags %nil
#gw else libmonosgen-2.0.la does not build
%define _disable_ld_no_undefined 1
export CFLAGS="%optflags -fno-strict-aliasing"
%configure2_5x --with-preview=yes --enable-static \
  --with-libgdiplus=installed \
  --with-sgen=%{sgen} \
%if %llvm == yes
 --enable-loadedllvm \
%endif
%ifarch %arm
 --with-armv6=no \
%endif
%if %{oprofile_support}
 --with-oprofile=%_prefix
%endif

#gw parallel build broken in 2.6
%make

%install
%makeinstall_std

mv %buildroot%_datadir/libgc-mono installed-docs
ln -sf mono-sgen %{buildroot}%{_bindir}/mono

#gw these are all obsolete and shouldn't be packaged:
rm -f %buildroot%_bindir/mbas \
      %buildroot%_mandir/man1/{mint.1,oldmono.1,monostyle.1} 
# these work on Windows only
rm -fr %buildroot%monodir/*/Mono.Security.Win32*
# remove stuff that we don't package
rm -f %buildroot%_bindir/cilc
rm -f %buildroot%_mandir/man1/cilc.1*
rm -f %buildroot%monodir/*/browsercaps-updater.exe*
rm -f %buildroot%monodir/*/culevel.exe*
rm -f %buildroot%monodir/*/cilc.exe*
find %buildroot -name '*.la' | xargs rm

#gw not in 2.8 as well:
rm -f %buildroot%_bindir/prj2make
rm -f %buildroot%_mandir/man1/prj2make.1*
#gw not usable on Cooker:
#gw it is still needed for the deps
#rm -rf %buildroot/%monodir/*/Mono.WebBrowser*

# https://bugzilla.xamarin.com/show_bug.cgi?id=12837
ln -s %monodir/*/mcs.exe %buildroot%monodir/2.0/gmcs.exe

%find_lang mcs

mkdir -p %{buildroot}%{_sysconfdir}/pki/mono
install -p -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pki/mono/

%files -f mcs.lang
%dir %{_sysconfdir}/mono
%dir %{_sysconfdir}/mono/4.0/
%dir %{_sysconfdir}/mono/4.5/
%config(noreplace) %{_sysconfdir}/mono/2.0/machine.config
%config(noreplace) %{_sysconfdir}/mono/4.0/machine.config
%config(noreplace) %{_sysconfdir}/mono/4.5/machine.config
%config(noreplace) %{_sysconfdir}/mono/2.0/settings.map
%config(noreplace) %{_sysconfdir}/mono/4.0/settings.map
%config(noreplace) %{_sysconfdir}/mono/4.5/settings.map
%config  %{_sysconfdir}/mono/config
%_bindir/mono
%_bindir/mono-configuration-crypto
%_bindir/mono-boehm

%if %sgen == yes
%_bindir/mono-sgen
%endif
%_bindir/mono-test-install
%_bindir/csharp
#%_bindir/csharp2
%_bindir/certmgr
%_bindir/chktrust
%_bindir/dmcs
%_bindir/gacutil
%_bindir/gacutil2
%_bindir/gmcs
%_bindir/mcs
%_bindir/mozroots
%_bindir/peverify
%_bindir/setreg
%_bindir/sn
%_mandir/man1/mono.1*
%_mandir/man1/mono-configuration-crypto.1*
%_mandir/man1/certmgr.1*
%_mandir/man1/chktrust.1*
%_mandir/man1/csharp.1*
%_mandir/man1/gacutil.1*
%_mandir/man1/mcs.1*
%_mandir/man1/mozroots.1*
%_mandir/man1/setreg.1*
%_mandir/man1/sn.1*
%_mandir/man5/mono-config.5*
%dir %monodir
%dir %monodir/gac/
%dir %monodir/2.0/
%dir %monodir/3.5/
%dir %monodir/4.0/
%dir %monodir/4.5/
%monodir/mono-configuration-crypto
#%monodir/2.0/csharp.exe
#%monodir/2.0/csharp.exe.mdb
%monodir/4.5/csharp.exe*
%monodir/4.5/chktrust.exe*
#%monodir/4.5/dmcs.exe*
%monodir/2.0/gacutil.exe
%monodir/2.0/gacutil.exe.mdb
%monodir/4.5/gacutil.exe
%monodir/4.5/gacutil.exe.mdb
#%monodir/2.0/gmcs.exe*
%monodir/4.5/certmgr.exe*
%monodir/4.5/mcs.exe*
%monodir/4.5/mozroots.exe*
%monodir/4.5/setreg.exe*
%monodir/4.5/sn.exe*
%monodir/gac/cscompmgd
%monodir/2.0/cscompmgd.dll
%monodir/4.0/cscompmgd.dll
%monodir/4.5/cscompmgd.dll
%monodir/gac/I18N.West
%monodir/2.0/I18N.West.dll
%monodir/4.0/I18N.West.dll
%monodir/4.5/I18N.West.dll
%monodir/gac/I18N
%monodir/2.0/I18N.dll
%monodir/4.0/I18N.dll
%monodir/4.5/I18N.dll
%monodir/gac/Microsoft.CSharp
%monodir/4.0/Microsoft.CSharp.dll
%monodir/4.0/Microsoft.Portable.CSharp.targets
%monodir/4.5/Microsoft.CSharp.dll
%monodir/4.0/Microsoft.VisualC.dll
%monodir/4.5/Microsoft.VisualC.dll
%monodir/gac/Mono.CompilerServices.SymbolWriter
%monodir/2.0/Mono.CompilerServices.SymbolWriter.dll
%monodir/4.0/Mono.CompilerServices.SymbolWriter.dll
%monodir/4.5/Mono.CompilerServices.SymbolWriter.dll
%monodir/gac/Mono.CSharp
%monodir/2.0/Mono.CSharp.dll
%monodir/4.0/Mono.CSharp.dll
%monodir/4.5/Mono.CSharp.dll
%monodir/gac/Mono.Management
%monodir/2.0/Mono.Management.dll
%monodir/4.0/Mono.Management.dll
%monodir/4.5/Mono.Management.dll
%monodir/gac/Mono.Security
%monodir/2.0/Mono.Security.dll
%monodir/4.0/Mono.Security.dll
%monodir/4.5/Mono.Security.dll
%monodir/gac/Mono.Simd
%monodir/2.0/Mono.Simd.dll
%monodir/4.0/Mono.Simd.dll
%monodir/4.5/Mono.Simd.dll
%monodir/2.0/Mono.Tasklets.dll
%monodir/4.0/Mono.Tasklets.dll
%monodir/4.5/Mono.Tasklets.dll
%monodir/gac/Mono.Tasklets
%monodir/gac/System.Core
%monodir/2.0/System.Core.dll
%monodir/4.0/System.Core.dll
%monodir/4.5/System.Core.dll
%monodir/gac/System.Net
%monodir/2.0/System.Net.dll
%monodir/4.0/System.Net.dll
%monodir/4.5/System.Net.dll
%monodir/4.5/System.Net.Http.dll
%monodir/gac/System.Net.Http
%monodir/4.5/System.Net.Http.Formatting.dll
%monodir/gac/System.Net.Http.Formatting
%monodir/4.5/System.Net.Http.WebRequest.dll
%monodir/gac/System.Net.Http.WebRequest
%monodir/gac/System.Security
%monodir/2.0/System.Security.dll
%monodir/4.0/System.Security.dll
%monodir/4.5/System.Security.dll
%monodir/gac/System.Xml
%monodir/2.0/System.Xml.dll
%monodir/4.0/System.Xml.dll
%monodir/4.5/System.Xml.dll
%monodir/gac/System.Xml.Linq
%monodir/2.0/System.Xml.Linq.dll
%monodir/4.0/System.Xml.Linq.dll
%monodir/4.5/System.Xml.Linq.dll
%monodir/4.5/System.Xml.Serialization.dll
%monodir/gac/System.Xml.Serialization
%monodir/gac/System
%monodir/2.0/System.dll
%monodir/4.0/System.dll
%monodir/4.5/System.dll
%monodir/gac/System.Configuration
%monodir/2.0/System.Configuration.dll
%monodir/4.0/System.Configuration.dll
%monodir/4.5/System.Configuration.dll
%monodir/2.0/mscorlib.dll*
%monodir/4.0/mscorlib.dll*
%monodir/4.5/mscorlib.dll*
%monodir/gac/Mono.C5
%monodir/2.0/Mono.C5.dll
%monodir/4.0/Mono.C5.dll
%monodir/4.5/Mono.C5.dll
%monodir/gac/System.Drawing
%monodir/2.0/System.Drawing.dll
%monodir/4.0/System.Drawing.dll
%monodir/4.5/System.Drawing.dll
%monodir/gac/System.Dynamic
%monodir/4.0/System.Dynamic.dll
%monodir/4.5/System.Dynamic.dll
%monodir/gac/System.Numerics
%monodir/4.0/System.Numerics.dll
%monodir/4.5/System.Numerics.dll
%monodir/gac/Mono.Posix
%monodir/2.0/Mono.Posix.dll
%monodir/4.0/Mono.Posix.dll
%monodir/4.5/Mono.Posix.dll
%monodir/gac/Mono.Cairo
%monodir/2.0/Mono.Cairo.dll
%monodir/4.0/Mono.Cairo.dll
%monodir/4.5/Mono.Cairo.dll
%monodir/gac/ICSharpCode.SharpZipLib
%monodir/2.0/ICSharpCode.SharpZipLib.dll
%monodir/4.0/ICSharpCode.SharpZipLib.dll
%monodir/4.5/ICSharpCode.SharpZipLib.dll
%dir %monodir/compat-2.0/
%monodir/compat-2.0/ICSharpCode.SharpZipLib.dll
%monodir/gac/Microsoft.VisualC
%monodir/2.0/Microsoft.VisualC.dll
%monodir/gac/Commons.Xml.Relaxng
%monodir/2.0/Commons.Xml.Relaxng.dll
%monodir/4.0/Commons.Xml.Relaxng.dll
%monodir/4.5/Commons.Xml.Relaxng.dll
%monodir/gac/CustomMarshalers
%monodir/2.0/CustomMarshalers.dll
%monodir/4.0/CustomMarshalers.dll
%monodir/4.5/CustomMarshalers.dll
%monodir/gac/OpenSystem.C
%monodir/2.0/OpenSystem.C.dll
%monodir/4.0/OpenSystem.C.dll
%monodir/4.5/OpenSystem.C.dll

%monodir/2.0/gmcs.exe

%files doc
%doc AUTHORS COPYING.LIB NEWS README
%doc docs/*[^Makefile-Makefile.in]
%doc mcs*/docs/clr-abi.txt mcs*/docs/compiler.txt mcs*/docs/control-flow-analysis.txt
%doc installed-docs/*

%files -n %libname
%{_libdir}/libmono-profiler*.so.%{major}*
%if %sgen == yes
%{_libdir}/libmonosgen-2.0.so.%{sgenmajor}*
%endif
# gw always check if they've got a valid soname
%_libdir/libMonoPosixHelper.so
%_libdir/libMonoSupportW.so
%_libdir/libikvm-native.so

%files -n %libname1
%{_libdir}/libmonoboehm-2.0.so.%{major1}*
%{_libdir}/libmono-2.0.so.%{major1}*

%if %llvm == yes
%files -n %libnamellvm
%{_libdir}/libmono-llvm.so.%{major}*
%endif

%files data-sqlite
%monodir/2.0/Mono.Data.Sqlite.dll
%monodir/4.0/Mono.Data.Sqlite.dll
%monodir/4.5/Mono.Data.Sqlite.dll
%monodir/gac/Mono.Data.Sqlite

%files -n %libnamedev
%doc ChangeLog
%{_sysconfdir}/pki/mono/
%dir %_includedir/mono-2.0/
%_includedir/mono-2.0/*
%_libdir/libmono*.so
%_libdir/*.a
%_libdir/pkgconfig/cecil.pc
%_libdir/pkgconfig/dotnet.pc
%_libdir/pkgconfig/dotnet35.pc
%_libdir/pkgconfig/mono-cairo.pc
%_libdir/pkgconfig/mono-lineeditor.pc
%_libdir/pkgconfig/mono-options.pc
%_libdir/pkgconfig/mono.pc
%_libdir/pkgconfig/mono-2.pc
%if %sgen == yes
%_libdir/pkgconfig/monosgen-2.pc
%endif
%_libdir/pkgconfig/mono.web.pc
%_libdir/pkgconfig/system.web.extensions.design_1.0.pc
%_libdir/pkgconfig/system.web.extensions_1.0.pc
%_libdir/pkgconfig/system.web.mvc.pc
%_libdir/pkgconfig/system.web.mvc2.pc
%_libdir/pkgconfig/system.web.mvc3.pc
%_libdir/pkgconfig/mono-nunit.pc
%_libdir/pkgconfig/monodoc.pc
%_libdir/pkgconfig/wcf.pc
%_libdir/pkgconfig/aspnetwebstack.pc
%_libdir/pkgconfig/reactive.pc
%_bindir/al
%_bindir/al2
%_bindir/caspol
%_bindir/ccrewrite
%_bindir/cccheck
%_bindir/cert2spc
%_bindir/crlupdate
%_bindir/dtd2rng
%_bindir/dtd2xsd
%_bindir/genxs
%_bindir/httpcfg
%_bindir/ilasm
%_bindir/installvst
%_bindir/lc
#
%_bindir/macpack
#
%_bindir/makecert
%_bindir/mdbrebase
%_bindir/mkbundle
%_bindir/mono-api-info
%_bindir/mono-cil-strip
%_bindir/mono-find-provides
%_bindir/mono-find-requires
%_bindir/mono-gdb.py
%_bindir/mono-heapviz
%_bindir/mono-shlib-cop
%_bindir/mono-xmltool
%_bindir/monodis
%_bindir/monolinker
%_bindir/monop
%_bindir/monop2
%_bindir/mprof-report
%_bindir/pedump
%_bindir/permview
%_bindir/resgen
%_bindir/resgen2
%_bindir/secutil
%_bindir/sgen
%_bindir/signcode
%_bindir/pdb2mdb
%_bindir/xbuild
%_bindir/monograph
%_mandir/man1/ccrewrite.1*
%_mandir/man1/cccheck.1*
%_mandir/man1/crlupdate.1*
%_mandir/man1/cert2spc.1*
%_mandir/man1/dtd2xsd.1*
%_mandir/man1/genxs.1*
%_mandir/man1/httpcfg.1*
%_mandir/man1/ilasm*.1*
%_mandir/man1/lc.1*
#
%_mandir/man1/macpack.1*
#
%_mandir/man1/makecert.1*
%_mandir/man1/mkbundle.1*
%_mandir/man1/mono-api-info.1*
%_mandir/man1/mono-cil-strip.1*
%_mandir/man1/mono-shlib-cop.1*
%_mandir/man1/monodis.1*
%_mandir/man1/monolinker.1*
%_mandir/man1/monop.1*
%_mandir/man1/mprof-report.1*
%_mandir/man1/permview.1*
%_mandir/man1/resgen.1*
%_mandir/man1/secutil.1*
%_mandir/man1/sgen.1*
%_mandir/man1/signcode.1*
%_mandir/man1/al.1*
%_mandir/man1/mono-xmltool.1*
%_mandir/man1/pdb2mdb.1*
%_mandir/man1/xbuild.1*
%_prefix/lib/mono-source-libs/
%monodir/4.5/cccheck.exe*
%monodir/4.5/crlupdate.exe*
%monodir/4.5/dtd2rng.exe*
%monodir/4.5/dtd2xsd.exe*
%monodir/4.5/httpcfg.exe*
%monodir/4.5/macpack.exe*
%monodir/4.5/mdbrebase.exe*
%monodir/4.5/makecert.exe*
%monodir/4.5/mono-api-info.exe*
%monodir/4.5/mono-cil-strip.exe*
%monodir/2.0/monolinker.exe
%monodir/2.0/monolinker.exe.mdb
%monodir/4.5/monolinker.exe*
%monodir/4.5/pdb2mdb.exe*
%monodir/4.5/permview.exe*
%monodir/4.5/resgen.exe*
%monodir/4.5/secutil.exe*
%monodir/4.5/sgen.exe*
%monodir/4.5/signcode.exe*
%monodir/4.0/Microsoft.Build.dll
%monodir/4.5/Microsoft.Build.dll
%monodir/gac/Microsoft.Build
%monodir/4.0/Microsoft.Build.xsd
%monodir/gac/Microsoft.Build.Tasks
%monodir/2.0/Microsoft.Build.Tasks.dll
%monodir/gac/Microsoft.Build.Framework
%monodir/2.0/Microsoft.Build.Framework.dll
%monodir/3.5/Microsoft.Build.Framework.dll
%monodir/4.0/Microsoft.Build.Framework.dll
%monodir/4.5/Microsoft.Build.Framework.dll
%monodir/gac/Microsoft.Build.Utilities
%monodir/2.0/Microsoft.Build.Utilities.dll
%monodir/4.5/Microsoft.Build.Utilities.v4.0.dll
%monodir/gac/Microsoft.Build.Engine
%monodir/2.0/Microsoft.Build.Engine.dll
%monodir/3.5/Microsoft.Build.Engine.dll
%monodir/4.0/Microsoft.Build.Engine.dll
%monodir/4.5/Microsoft.Build.Engine.dll
%monodir/3.5/Microsoft.Build.Tasks.v3.5.dll
%monodir/gac/Microsoft.Build.Tasks.v3.5
%monodir/gac/Microsoft.Build.Tasks.v4.0
%monodir/4.0/Microsoft.Build.Tasks.v4.0.dll
%monodir/4.5/Microsoft.Build.Tasks.v4.0.dll
%monodir/gac/Microsoft.Build.Utilities.v3.5
%monodir/3.5/Microsoft.Build.Utilities.v3.5.dll
%monodir/gac/Microsoft.Build.Utilities.v4.0
%monodir/4.0/Microsoft.Build.Utilities.v4.0.dll
%monodir/4.0/Microsoft.CSharp.targets
%monodir/4.0/Microsoft.Common.targets
%monodir/4.0/Microsoft.Common.tasks
%monodir/4.0/Microsoft.VisualBasic.targets
%monodir/4.5/System.IO.Compression.FileSystem.dll
%monodir/4.5/System.IO.Compression.dll
%monodir/gac/System.IO.Compression
%monodir/gac/System.IO.Compression.FileSystem
%monodir/4.5/System.Threading.Tasks.Dataflow.dll
%monodir/gac/System.Threading.Tasks.Dataflow
%monodir/gac/PEAPI
%monodir/2.0/PEAPI.dll
%monodir/4.0/PEAPI.dll
%monodir/4.5/PEAPI.dll
%monodir/2.0/Microsoft.Build.xsd
%monodir/2.0/Microsoft.Common.tasks
%monodir/2.0/Microsoft.Common.targets
%monodir/2.0/Microsoft.CSharp.targets
#
%monodir/2.0/Microsoft.VisualBasic.targets
#
%monodir/gac/Mono.Cecil/
%monodir/gac/Mono.Cecil.Mdb/
%monodir/gac/Mono.CodeContracts
%monodir/4.5/Mono.CodeContracts.dll
%monodir/gac/Mono.Debugger*
%monodir/2.0/Mono.Debugger*
%monodir/4.0/Mono.Debugger*
%monodir/4.5/Mono.Debugger*
%monodir/4.0/Mono.Parallel*
%monodir/4.5/Mono.Parallel*
%monodir/gac/Mono.Parallel
%monodir/2.0/MSBuild
%monodir/3.5/MSBuild
%monodir/4.0/MSBuild
%monodir/2.0/xbuild.rsp
%monodir/2.0/al.exe
%monodir/2.0/al.exe.mdb
%monodir/4.5/al.exe*
%monodir/4.5/caspol.exe*
%monodir/4.5/ccrewrite.exe*
%monodir/4.5/cert2spc.exe*
%monodir/2.0/genxs.exe*
%monodir/4.5/genxs.exe*
%monodir/4.5/ictool.exe*
%monodir/2.0/ilasm.exe
%monodir/2.0/ilasm.exe.mdb
%monodir/4.5/ilasm.exe*
%monodir/4.5/installvst.exe*
%monodir/4.5/lc.exe*
%monodir/2.0/mkbundle.exe*
%monodir/4.5/mkbundle.exe*
%monodir/2.0/monop.exe
%monodir/2.0/monop.exe.mdb
%monodir/4.5/monop.exe*
%monodir/4.5/mono-shlib-cop.exe*
%monodir/4.5/mono-xmltool.exe*
%monodir/2.0/resgen.exe
%monodir/2.0/resgen.exe.mdb
%monodir/2.0/xbuild.exe
%monodir/2.0/xbuild.exe.mdb
%monodir/4.5/xbuild.exe*
%monodir/4.5/xbuild.rsp
%monodir/3.5/*.tasks
%monodir/3.5/*.targets
%monodir/3.5/xbuild.*
%monodir/3.5/Microsoft.Build.xsd
%monodir/xbuild/
%monodir/xbuild-frameworks
%_datadir/mono-2.0/



%files -n mono-winfxcore
%monodir/gac/System.Data.Services.Client
%monodir/2.0/System.Data.Services.Client.dll
%monodir/4.0/System.Data.Services.Client.dll
%monodir/4.5/System.Data.Services.Client.dll
%monodir/gac/WindowsBase
%monodir/2.0/WindowsBase.dll*
%monodir/4.0/WindowsBase.dll*
%monodir/4.5/WindowsBase.dll*

%files web
%dir %{_sysconfdir}/mono/mconfig
%config(noreplace) %{_sysconfdir}/mono/browscap.ini
%config(noreplace) %{_sysconfdir}/mono/2.0/Browsers/Compat.browser
%config(noreplace) %{_sysconfdir}/mono/2.0/DefaultWsdlHelpGenerator.aspx
%config(noreplace) %{_sysconfdir}/mono/4.0/DefaultWsdlHelpGenerator.aspx
%config(noreplace) %{_sysconfdir}/mono/4.5/DefaultWsdlHelpGenerator.aspx
%config(noreplace) %{_sysconfdir}/mono/2.0/web.config
%config(noreplace) %{_sysconfdir}/mono/4.0/web.config
%config(noreplace) %{_sysconfdir}/mono/4.5/web.config
%config(noreplace) %{_sysconfdir}/mono/mconfig/config.xml
%_bindir/disco
%_bindir/mconfig
%_bindir/soapsuds
%if %sgen == yes
%_bindir/mono-sgen-gdb.py
%endif
%_bindir/wsdl
%_bindir/wsdl2
%_bindir/xsd
%_mandir/man1/disco.1*
%_mandir/man1/mconfig.1*
%_mandir/man1/soapsuds.1*
%_mandir/man1/wsdl.1*
%_mandir/man1/xsd.1*
%monodir/gac/Microsoft.Web.Infrastructure
%monodir/4.0/Microsoft.Web.Infrastructure.dll
%monodir/4.5/Microsoft.Web.Infrastructure.dll
%monodir/gac/Mono.Http
%monodir/2.0/Mono.Http.dll
%monodir/4.0/Mono.Http.dll
%monodir/4.5/Mono.Http.dll
%monodir/gac/Mono.Web
%monodir/2.0/Mono.Web.dll
%monodir/4.0/Mono.Web.dll
%monodir/4.5/Mono.Web.dll
%monodir/gac/System.ComponentModel.Composition
%monodir/4.0/System.ComponentModel.Composition.dll
%monodir/4.5/System.ComponentModel.Composition.dll
%monodir/gac/System.ComponentModel.DataAnnotations
%monodir/2.0/System.ComponentModel.DataAnnotations.dll
%monodir/4.0/System.ComponentModel.DataAnnotations.dll
%monodir/4.5/System.ComponentModel.DataAnnotations.dll
%monodir/2.0/System.Json.dll
%monodir/4.0/System.Json.Microsoft.dll
%monodir/4.0/System.Json.dll
%monodir/4.5/System.Json.Microsoft.dll
%monodir/4.5/System.Json.dll
%monodir/gac/System.Json
%monodir/gac/System.Json.Microsoft
%monodir/4.5/System.Runtime.Serialization.Formatters.Soap.dll
%monodir/gac/System.Web.Abstractions
%monodir/2.0/System.Web.Abstractions.dll
%monodir/4.0/System.Web.Abstractions.dll
%monodir/4.5/System.Web.Abstractions.dll
%monodir/gac/System.Web.ApplicationServices
%monodir/4.0/System.Web.ApplicationServices.dll
%monodir/4.5/System.Web.ApplicationServices.dll
%monodir/gac/System.Web.DynamicData
%monodir/2.0/System.Web.DynamicData.dll
%monodir/4.0/System.Web.DynamicData.dll
%monodir/4.5/System.Web.DynamicData.dll
%monodir/gac/System.Web.Extensions
%monodir/2.0/System.Web.Extensions.dll
%monodir/4.0/System.Web.Extensions.dll
%monodir/4.5/System.Web.Extensions.dll
%monodir/compat-2.0/System.Web.Extensions.dll
%monodir/gac/System.Web.Extensions.Design
%monodir/2.0/System.Web.Extensions.Design.dll
%monodir/4.0/System.Web.Extensions.Design.dll
%monodir/4.5/System.Web.Extensions.Design.dll
%monodir/4.5/System.Web.Http.dll
%monodir/gac/System.Web.Http/*
%monodir/4.5/System.Web.Http.SelfHost.dll
%monodir/gac/System.Web.Http.SelfHost/*
%monodir/4.5/System.Web.Http.WebHost.dll
%monodir/gac/System.Web.Http.WebHost/*
%monodir/4.5/System.Web.Razor.dll
%monodir/gac/System.Web.Razor/*
%monodir/4.5/System.Web.WebPages.dll
%monodir/gac/System.Web.WebPages
%monodir/4.5/System.Web.WebPages.Deployment.dll
%monodir/gac/System.Web.WebPages.Deployment
%monodir/4.5/System.Web.WebPages.Razor.dll
%monodir/gac/System.Web.WebPages.Razor
%monodir/compat-2.0/System.Web.Extensions.Design.dll
%monodir/gac/System.Web.Mvc
%monodir/2.0/System.Web.Mvc.dll
%monodir/4.5/System.Web.Mvc.dll
%monodir/compat-2.0/System.Web.Mvc.dll
%monodir/gac/System.Web.Routing
%monodir/2.0/System.Web.Routing.dll
%monodir/4.0/System.Web.Routing.dll
%monodir/4.5/System.Web.Routing.dll
%monodir/gac/System.Runtime.Remoting
%monodir/2.0/System.Runtime.Remoting.dll
%monodir/4.0/System.Runtime.Remoting.dll
%monodir/4.5/System.Runtime.Remoting.dll
%monodir/gac/System.Web
%monodir/2.0/System.Web.dll
%monodir/4.0/System.Web.dll
%monodir/4.5/System.Web.dll
%monodir/gac/System.Runtime.Serialization.Formatters.Soap
%monodir/2.0/System.Runtime.Serialization.Formatters.Soap.dll
%monodir/4.0/System.Runtime.Serialization.Formatters.Soap.dll
%monodir/gac/System.Web.Services
%monodir/2.0/System.Web.Services.dll
%monodir/4.0/System.Web.Services.dll
%monodir/4.5/System.Web.Services.dll
%monodir/4.5/disco.exe*
%monodir/4.5/mconfig.exe*
%monodir/4.5/soapsuds.exe*
%monodir/2.0/wsdl.exe
%monodir/2.0/wsdl.exe.mdb
%monodir/4.5/wsdl.exe*
%monodir/2.0/xsd.exe
%monodir/2.0/xsd.exe.mdb
%monodir/4.5/xsd.exe
%monodir/4.5/xsd.exe.mdb

%files winforms
%monodir/4.5/System.Windows.dll
%monodir/gac/System.Windows
%monodir/gac/System.Windows.Forms
%monodir/2.0/System.Windows.Forms.dll
%monodir/4.0/System.Windows.Forms.dll
%monodir/4.5/System.Windows.Forms.dll
%monodir/gac/System.Windows.Forms.DataVisualization
%monodir/4.0/System.Windows.Forms.DataVisualization.dll
%monodir/4.5/System.Windows.Forms.DataVisualization.dll
%monodir/gac/Accessibility
%monodir/2.0/Accessibility.dll
%monodir/4.0/Accessibility.dll
%monodir/4.5/Accessibility.dll
%monodir/gac/System.Design
%monodir/2.0/System.Design.dll
%monodir/4.0/System.Design.dll
%monodir/4.5/System.Design.dll
%monodir/gac/System.Drawing.Design
%monodir/2.0/System.Drawing.Design.dll
%monodir/4.0/System.Drawing.Design.dll
%monodir/4.5/System.Drawing.Design.dll
%monodir/gac/Mono.WebBrowser
%monodir/2.0/Mono.WebBrowser.dll
%monodir/4.0/Mono.WebBrowser.dll
%monodir/4.5/Mono.WebBrowser.dll

%files extras
%monodir/gac/System.Management
%monodir/2.0/System.Management.dll
%monodir/4.0/System.Management.dll
%monodir/4.5/System.Management.dll
%monodir/gac/RabbitMQ.Client
%monodir/2.0/RabbitMQ.Client.dll
%monodir/4.0/RabbitMQ.Client.dll
%monodir/4.5/RabbitMQ.Client.dll
%monodir/2.0/RabbitMQ.Client.Apigen.exe*
%monodir/4.0/RabbitMQ.Client.Apigen.exe*
%monodir/4.5/RabbitMQ.Client.Apigen.exe*
%monodir/gac/System.Messaging
%monodir/2.0/System.Messaging.dll
%monodir/4.0/System.Messaging.dll
%monodir/4.5/System.Messaging.dll
%monodir/gac/Mono.Messaging
%monodir/2.0/Mono.Messaging.dll
%monodir/4.0/Mono.Messaging.dll
%monodir/4.5/Mono.Messaging.dll
%monodir/gac/Mono.Messaging.RabbitMQ
%monodir/2.0/Mono.Messaging.RabbitMQ.dll
%monodir/4.0/Mono.Messaging.RabbitMQ.dll
%monodir/4.5/Mono.Messaging.RabbitMQ.dll
%monodir/gac/System.Runtime.Caching
%monodir/4.0/System.Runtime.Caching.dll
%monodir/4.5/System.Runtime.Caching.dll
%monodir/gac/System.ServiceProcess
%monodir/2.0/System.ServiceProcess.dll
%monodir/4.0/System.ServiceProcess.dll
%monodir/4.5/System.ServiceProcess.dll
%_bindir/mono-service
%_bindir/mono-service2
%monodir/4.5/installutil.exe*
%monodir/2.0/mono-service.exe
%monodir/2.0/mono-service.exe.mdb
%monodir/4.5/mono-service.exe
%monodir/4.5/mono-service.exe.mdb
%monodir/gac/mono-service
%_mandir/man1/mono-service.1*
%monodir/gac/System.Configuration.Install
%monodir/2.0/System.Configuration.Install.dll
%monodir/4.0/System.Configuration.Install.dll
%monodir/4.5/System.Configuration.Install.dll
%monodir/gac/System.Xaml
%monodir/4.0/System.Xaml.dll*
%monodir/4.5/System.Xaml.dll*
# TO CHECK
%monodir/4.5/Facades/*

%files ibm-data-db2
%monodir/gac/IBM.Data.DB2
%monodir/2.0/IBM.Data.DB2.dll
%monodir/4.0/IBM.Data.DB2.dll
%monodir/4.5/IBM.Data.DB2.dll

%files data-oracle
%monodir/gac/System.Data.OracleClient
%monodir/2.0/System.Data.OracleClient.dll
%monodir/4.0/System.Data.OracleClient.dll
%monodir/4.5/System.Data.OracleClient.dll

%files data
%_bindir/sqlmetal
%_bindir/sqlsharp
%_mandir/man1/sqlsharp.1*
%monodir/4.5/sqlmetal.exe*
%monodir/4.5/sqlsharp.exe*
%monodir/gac/System.Data
%monodir/2.0/System.Data.dll
%monodir/4.0/System.Data.dll
%monodir/4.5/System.Data.dll
%monodir/gac/System.Data.DataSetExtensions
%monodir/2.0/System.Data.DataSetExtensions.dll
%monodir/4.0/System.Data.DataSetExtensions.dll
%monodir/4.5/System.Data.DataSetExtensions.dll
%monodir/gac/System.Data.Linq
%monodir/2.0/System.Data.Linq.dll
%monodir/4.0/System.Data.Linq.dll
%monodir/4.5/System.Data.Linq.dll
%monodir/gac/System.Data.Services
%monodir/2.0/System.Data.Services.dll
%monodir/4.0/System.Data.Services.dll
%monodir/4.5/System.Data.Services.dll
%monodir/gac/Mono.Data.Tds
%monodir/2.0/Mono.Data.Tds.dll
%monodir/4.0/Mono.Data.Tds.dll
%monodir/4.5/Mono.Data.Tds.dll
%monodir/gac/System.EnterpriseServices
%monodir/2.0/System.EnterpriseServices.dll
%monodir/4.0/System.EnterpriseServices.dll
%monodir/4.5/System.EnterpriseServices.dll
%monodir/4.5/EntityFramework.dll
%monodir/gac/EntityFramework
%monodir/4.5/EntityFramework.SqlServer.dll
%monodir/gac/EntityFramework.SqlServer
%monodir/gac/Novell.Directory.Ldap
%monodir/2.0/Novell.Directory.Ldap.dll
%monodir/4.0/Novell.Directory.Ldap.dll
%monodir/4.5/Novell.Directory.Ldap.dll
%monodir/gac/System.DirectoryServices
%monodir/2.0/System.DirectoryServices.dll
%monodir/4.0/System.DirectoryServices.dll
%monodir/4.5/System.DirectoryServices.dll
%monodir/2.0/System.DirectoryServices.Protocols.dll
%monodir/4.0/System.DirectoryServices.Protocols.dll
%monodir/4.5/System.DirectoryServices.Protocols.dll
%monodir/gac/System.DirectoryServices.Protocols
%monodir/gac/System.Runtime.Serialization
%monodir/2.0/System.Runtime.Serialization.dll
%monodir/4.0/System.Runtime.Serialization.dll
%monodir/4.5/System.Runtime.Serialization.dll
%monodir/gac/System.Transactions
%monodir/2.0/System.Transactions.dll
%monodir/4.0/System.Transactions.dll
%monodir/4.5/System.Transactions.dll
%monodir/gac/WebMatrix.Data
%monodir/4.0/WebMatrix.Data.dll
%monodir/4.5/WebMatrix.Data.dll

%files locale-extras
%monodir/gac/I18N.MidEast
%monodir/2.0/I18N.MidEast.dll
%monodir/4.0/I18N.MidEast.dll
%monodir/4.5/I18N.MidEast.dll
%monodir/gac/I18N.Rare
%monodir/2.0/I18N.Rare.dll
%monodir/4.0/I18N.Rare.dll
%monodir/4.5/I18N.Rare.dll
%monodir/gac/I18N.CJK
%monodir/2.0/I18N.CJK.dll
%monodir/4.0/I18N.CJK.dll
%monodir/4.5/I18N.CJK.dll
%monodir/gac/I18N.Other
%monodir/2.0/I18N.Other.dll
%monodir/4.0/I18N.Other.dll
%monodir/4.5/I18N.Other.dll

%files data-postgresql
%monodir/gac/Npgsql
%monodir/2.0/Npgsql.dll
%monodir/4.0/Npgsql.dll
%monodir/4.5/Npgsql.dll

%files nunit
%_bindir/nunit-console
%_bindir/nunit-console2
%_bindir/nunit-console4
%monodir/2.0/nunit-console.exe
%monodir/2.0/nunit-console.exe.config
%monodir/2.0/nunit-console.exe.mdb
%monodir/4.5/nunit-console.exe*
%monodir/gac/nunit-console-runner
%monodir/2.0/nunit-console-runner.dll
%monodir/4.5/nunit-console-runner.dll
%monodir/2.0/nunit.core.dll
%monodir/4.5/nunit.core.dll
%monodir/gac/nunit.core.extensions
%monodir/2.0/nunit.core.extensions.dll
%monodir/4.5/nunit.core.extensions.dll
%monodir/gac/nunit.core.interfaces
%monodir/2.0/nunit.core.interfaces.dll
%monodir/4.5/nunit.core.interfaces.dll
%monodir/2.0/nunit.framework.dll
%monodir/4.5/nunit.framework.dll
%monodir/gac/nunit.framework.extensions
%monodir/2.0/nunit.framework.extensions.dll
%monodir/4.5/nunit.framework.extensions.dll
%monodir/2.0/nunit.mocks.dll
%monodir/4.5/nunit.mocks.dll
%monodir/2.0/nunit.util.dll
%monodir/4.5/nunit.util.dll
%monodir/gac/nunit.core
%monodir/gac/nunit.framework
%monodir/gac/nunit.util
%monodir/gac/nunit.mocks

%files -n monodoc-core
%monodir/gac/monodoc
%monodir/monodoc
%monodir/4.5/mdoc.exe*
%monodir/4.5/mod.exe*
%monodir/4.0/monodoc.dll
%{_bindir}/mdassembler
%{_bindir}/mdoc
%{_bindir}/mdoc-assemble
%{_bindir}/mdoc-export-html
%{_bindir}/mdoc-export-msxdoc
%{_bindir}/mdoc-update
%{_bindir}/mdoc-validate
%{_bindir}/mdvalidater
%{_bindir}/mod
%{_bindir}/monodocer
%{_bindir}/monodocs2html
%{_bindir}/monodocs2slashdoc
%{_prefix}/lib/monodoc
%{_mandir}/man1/mdassembler.1*
%{_mandir}/man1/mdoc-assemble.1*
%{_mandir}/man1/mdoc-export-html.1*
%{_mandir}/man1/mdoc-export-msxdoc.1*
%{_mandir}/man1/mdoc-update.1*
%{_mandir}/man1/mdoc-validate.1*
%{_mandir}/man1/mdoc.1*
%{_mandir}/man1/mdvalidater.1*
%{_mandir}/man1/monodocer.1*
%{_mandir}/man1/monodocs2html.1*
%{_mandir}/man5/mdoc.5*

%files rx-core
%monodir/4.5/System.Reactive.Core.dll
%monodir/4.5/System.Reactive.Debugger.dll
%monodir/4.5/System.Reactive.Experimental.dll
%monodir/4.5/System.Reactive.Interfaces.dll
%monodir/4.5/System.Reactive.Linq.dll
%monodir/4.5/System.Reactive.PlatformServices.dll
%monodir/4.5/System.Reactive.Providers.dll
%monodir/4.5/System.Reactive.Runtime.Remoting.dll
%monodir/gac/System.Reactive.Core*
%monodir/gac/System.Reactive.Debugger*
%monodir/gac/System.Reactive.Experimental*
%monodir/gac/System.Reactive.Interfaces*
%monodir/gac/System.Reactive.Linq*
%monodir/gac/System.Reactive.PlatformServices*
%monodir/gac/System.Reactive.Providers*
%monodir/gac/System.Reactive.Runtime.Remoting*

%files rx-desktop
%monodir/4.5/System.Reactive.Windows.Forms.dll
%monodir/4.5/System.Reactive.Windows.Threading.dll
%monodir/gac/System.Reactive.Windows.Forms
%monodir/gac/System.Reactive.Windows.Threading

%files wcf
%_bindir/svcutil
%monodir/4.5/svcutil.exe*
%monodir/gac/System.IdentityModel
%monodir/2.0/System.IdentityModel.dll
%monodir/4.0/System.IdentityModel.dll
%monodir/4.5/System.IdentityModel.dll
%monodir/gac/System.IdentityModel.Selectors
%monodir/2.0/System.IdentityModel.Selectors.dll
%monodir/4.0/System.IdentityModel.Selectors.dll
%monodir/4.5/System.IdentityModel.Selectors.dll
%monodir/gac/System.Runtime.DurableInstancing
%monodir/4.0/System.Runtime.DurableInstancing.dll
%monodir/4.5/System.Runtime.DurableInstancing.dll
%monodir/gac/System.ServiceModel
%monodir/2.0/System.ServiceModel.dll
%monodir/4.0/System.ServiceModel.dll
%monodir/4.5/System.ServiceModel.dll
%monodir/4.0/System.ServiceModel.Activation.dll
%monodir/4.5/System.ServiceModel.Activation.dll
%monodir/gac/System.ServiceModel.Activation
%monodir/gac/System.ServiceModel.Discovery
%monodir/4.0/System.ServiceModel.Discovery.dll
%monodir/4.5/System.ServiceModel.Discovery.dll
%monodir/gac/System.ServiceModel.Routing
%monodir/4.0/System.ServiceModel.Routing.dll
%monodir/4.5/System.ServiceModel.Routing.dll
%monodir/gac/System.ServiceModel.Web
%monodir/2.0/System.ServiceModel.Web.dll
%monodir/4.0/System.ServiceModel.Web.dll
%monodir/4.5/System.ServiceModel.Web.dll


%changelog
* Fri Mar 13 2015 matteo <matteo> 3.2.3-5.2.mga4
+ Revision: 818477
- added patch to drop sslv2 fallback (fix bug mga#15445)
- added missing patch for CipherSuite, SslServerStream and TlsCipherSuite (bug mga#15445)
- fixed Mono TLS vulnerabilities (bug mga#15445)

* Wed Jan 01 2014 pterjan <pterjan> 3.2.3-5.mga4
+ Revision: 563884
- Do not link gmcs.exe to a shell script that mono can not run

* Sun Dec 15 2013 dmorgan <dmorgan> 3.2.3-4.mga4
+ Revision: 557114
- Add back gmcs.exe, fixes nant

* Tue Oct 22 2013 umeabot <umeabot> 3.2.3-3.mga4
+ Revision: 541364
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 tv <tv> 3.2.3-2.mga4
+ Revision: 495680
- upstream further improved the banshee fix

* Sat Oct 05 2013 tv <tv> 3.2.3-1.mga4
+ Revision: 491782
- fix file list
- new release
- disable patch 7 (configure script is totally different)
- patch 8: fix banshee segfault (mga#11381, xamarin#14834)

* Tue Aug 06 2013 fwang <fwang> 3.2.1-1.mga4
+ Revision: 464091
- new version 3.2.1

* Mon Jul 29 2013 fwang <fwang> 3.2.0-3.mga4
+ Revision: 460200
- fix symlink on mono executable

* Sun Jul 28 2013 fwang <fwang> 3.2.0-2.mga4
+ Revision: 459726
- move monoboehm into correct lib

* Sun Jul 28 2013 fwang <fwang> 3.2.0-1.mga4
+ Revision: 459688
- update file list
- update sgenmajor
- cleanup spec
- new version 3.2.0

* Sun Jul 14 2013 matteo <matteo> 3.0.12-2.mga4
+ Revision: 454129
- fixed provides for mono-rx-core (reactive.linq and reactive.interfaces)
- moved wrong provides from rx-desktop to rx-core (reactive.interfaces)

* Tue Jul 09 2013 matteo <matteo> 3.0.12-1.mga4
+ Revision: 451854
- new version 3.0.12

* Sun Mar 10 2013 rtp <rtp> 2.10.9-4.mga3
+ Revision: 402057
- fix build without mgen
- enable sgen on arm
- make sure that armv6+ stuff is not enabled while building for armv5

* Sat Jan 12 2013 umeabot <umeabot> 2.10.9-3.mga3
+ Revision: 360230
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 fwang <fwang> 2.10.9-2.mga3
+ Revision: 299654
- update rpm group

* Fri Mar 02 2012 fwang <fwang> 2.10.9-1.mga2
+ Revision: 216625
- new version 2.10.9

* Thu Feb 09 2012 fwang <fwang> 2.10.8-2.mga2
+ Revision: 206662
- move ms.build into correct devel package

* Tue Jan 10 2012 fwang <fwang> 2.10.8-1.mga2
+ Revision: 194394
- update file list
- new version 2.10.8

* Thu Oct 13 2011 fwang <fwang> 2.10.6-1.mga2
+ Revision: 154200
- new version 2.10.6

* Sat Sep 17 2011 fwang <fwang> 2.10.5-3.mga2
+ Revision: 144445
- add gentoo patch to fix build
- fix cve-2011-0992
- drop .la files

* Sat Sep 03 2011 fwang <fwang> 2.10.5-1.mga2
+ Revision: 138123
- new version 2.10.5
- new version 2.10.3

* Tue Jul 05 2011 fwang <fwang> 2.10.2-1.mga2
+ Revision: 118911
- update filelist

  + kharec <kharec>
    - fix file list
    - update to 2.10.2

* Sun Apr 17 2011 dmorgan <dmorgan> 2.10.1-1.mga1
+ Revision: 87220
- Fix file list
- Update to version 2.10.1

* Sat Jan 15 2011 pterjan <pterjan> 2.8.2-3.mga1
+ Revision: 18210
- Disable bootstrap

* Sat Jan 15 2011 pterjan <pterjan> 2.8.2-2.mga1
+ Revision: 18119
- Enable bootstrap
- Enable oprofile support
- Remove tests for old mandriva

  + ahmad <ahmad>
    - drop old/unneeded scriptlets
    - make oprofile support condintional and disable it for now (it requires qt3)
    - imported package mono

